id: celebrus-detect

info:
  name: Celebrus - Detect
  author: righettod
  severity: info
  description: |
    Celebrus was detected.
  reference:
    - https://investors.celebrus.com/
  metadata:
    verified: true
    max-request: 1
    shodan-query: http.title:"Celebrus"
  tags: tech,celebrus,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_any(to_lower(body), "content=\"celebrus technologies ltd", "<title>celebrus")'
        condition: and

    extractors:
      - type: regex
        part: body
        group: 1
        regex:
          - 'Celebrus\s+([0-9.]+)\s+Collection'
# digest: 4a0a00473045022100a61ccff63b76905d06d8179f919b9610e9d00003b43207b74789ccbdaef024c1022020725cbd2b03144a433483433514d6afa7e81c613f4496bb5d7a3fbc83f2b232:922c64590222798bb761d5b6d8e72950